<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Nhywjtsbbhglbean" type="cn.vp.XXX.model.NhywjtsbbhglBean"/> -->	<typeAlias alias="Nhywjtsbbhgl" type="cn.im.nhywjtsbbhgl.NhywjtsbbhglBean"/>
	
	<sql id="condition_Nhywjtsbbhgl">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like '%$LIKExh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsblx'>
			(sblx like '%$LIKEsblx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sblx'>
			(sblx = #sblx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbmc'>
			(sbmc like '%$LIKEsbmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbmc'>
			(sbmc = #sbmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbmgz'>
			(bmgz like '%$LIKEbmgz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bmgz'>
			(bmgz = #bmgz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgzsm'>
			(gzsm like '%$LIKEgzsm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gzsm'>
			(gzsm = #gzsm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbmcd'>
			(bmcd like '%$LIKEbmcd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bmcd'>
			(bmcd = #bmcd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfqy'>
			(sfqy like '%$LIKEsfqy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfqy'>
			(sfqy = #sfqy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Nhywjtsbbhgl" parameterClass="java.util.Map">
		insert into 
		nhywjtsbbhgl(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='sblx'>sblx</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmc'>sbmc</isNotEmpty>
			<isNotEmpty prepend=',' property='bmgz'>bmgz</isNotEmpty>
			<isNotEmpty prepend=',' property='gzsm'>gzsm</isNotEmpty>
			<isNotEmpty prepend=',' property='bmcd'>bmcd</isNotEmpty>
			<isNotEmpty prepend=',' property='sfqy'>sfqy</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sblx'>#sblx#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmc'>#sbmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmgz'>#bmgz#</isNotEmpty>
			<isNotEmpty prepend=',' property='gzsm'>#gzsm#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmcd'>#bmcd#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfqy'>#sfqy#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Nhywjtsbbhgl" parameterClass="java.util.Map">
		update nhywjtsbbhgl 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='sblx'>sblx=#sblx#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmc'>sbmc=#sbmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmgz'>bmgz=#bmgz#</isNotEmpty>
			<isNotEmpty prepend=',' property='gzsm'>gzsm=#gzsm#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmcd'>bmcd=#bmcd#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfqy'>sfqy=#sfqy#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsblx'> sblx = #XGTJsblx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbmc'> sbmc = #XGTJsbmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbmgz'> bmgz = #XGTJbmgz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgzsm'> gzsm = #XGTJgzsm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbmcd'> bmcd = #XGTJbmcd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfqy'> sfqy = #XGTJsfqy# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Nhywjtsbbhgl" parameterClass="java.util.Map">
		delete from nhywjtsbbhgl 
		<include refid="condition_Nhywjtsbbhgl"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Nhywjtsbbhgl" parameterClass="java.util.Map">
		delete from nhywjtsbbhgl 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Nhywjtsbbhgl" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,
			sblx,(select csmc from xtcl  where csdl='nhywjtsblx' and csdm=sblx) as sblxname,
			sbmc,bmgz,gzsm,bmcd,
			sfqy,(select csmc from xtcl  where csdl='nhywSfqy' and csdm=sfqy) as sfqyname,
			cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
		from nhywjtsbbhgl 
		<include refid="condition_Nhywjtsbbhgl"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Nhywjtsbbhgl" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from nhywjtsbbhgl 
		<include refid="condition_Nhywjtsbbhgl"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Nhywjtsbbhgl" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into nhywjtsbbhgl(
			 <![CDATA[ 
				xh,sblx,sbmc,bmgz,gzsm,bmcd,sfqy,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].xh#,#list[].sblx#,#list[].sbmc#,#list[].bmgz#,#list[].gzsm#,#list[].bmcd#,#list[].sfqy#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











